services:
  backend:
    container_name: chatapp_backend
    image: git.zxq5.dev/zxq5/chatapp-backend:latest
    ports:
      - "8080:8000"
    depends_on:
      - redis
    environment:
      - ROCKET_SECRET_KEY=${ROCKET_SECRET_KEY}
      - DATABASE_URL=${DATABASE_URL}
  redis:
    container_name: chatapp_redis
    image: docker.io/library/redis:alpine
    ports:
      - "6379:6379"
